--- old/usr/src/uts/common/io/xge/drv/xgell.c	2014-10-23 11:04:59.701688478 -0400
+++ new/usr/src/uts/common/io/xge/drv/xgell.c	2014-10-23 11:04:59.706591491 -0400
@@ -2498,9 +2498,6 @@
 	char *buf;
 
 	buf = kmem_alloc(XGELL_STATS_BUFSIZE, KM_SLEEP);
-	if (buf == NULL) {
-		return (ENOSPC);
-	}
 
 	status = xge_hal_aux_stats_tmac_read(lldev->devh, XGELL_STATS_BUFSIZE,
 	    buf, &retsize);
@@ -2564,9 +2561,6 @@
 	char *buf;
 
 	buf = kmem_alloc(XGELL_PCICONF_BUFSIZE, KM_SLEEP);
-	if (buf == NULL) {
-		return (ENOSPC);
-	}
 	status = xge_hal_aux_pci_config_read(lldev->devh, XGELL_PCICONF_BUFSIZE,
 	    buf, &retsize);
 	if (status != XGE_HAL_OK) {
@@ -2590,9 +2584,6 @@
 	char *buf;
 
 	buf = kmem_alloc(XGELL_ABOUT_BUFSIZE, KM_SLEEP);
-	if (buf == NULL) {
-		return (ENOSPC);
-	}
 	status = xge_hal_aux_about_read(lldev->devh, XGELL_ABOUT_BUFSIZE,
 	    buf, &retsize);
 	if (status != XGE_HAL_OK) {
@@ -2618,9 +2609,6 @@
 	char *buf;
 
 	buf = kmem_alloc(XGELL_IOCTL_BUFSIZE, KM_SLEEP);
-	if (buf == NULL) {
-		return (ENOSPC);
-	}
 	status = xge_hal_aux_bar0_read(lldev->devh, bar0_offset,
 	    XGELL_IOCTL_BUFSIZE, buf, &retsize);
 	if (status != XGE_HAL_OK) {
@@ -2663,9 +2651,6 @@
 	char *buf;
 
 	buf = kmem_alloc(XGELL_IOCTL_BUFSIZE, KM_SLEEP);
-	if (buf == NULL) {
-		return (ENOSPC);
-	}
 	(void) mi_mpprintf(mp, "debug_level %d", xge_hal_driver_debug_level());
 	kmem_free(buf, XGELL_IOCTL_BUFSIZE);
 
@@ -2695,9 +2680,6 @@
 	char *buf;
 
 	buf = kmem_alloc(XGELL_IOCTL_BUFSIZE, KM_SLEEP);
-	if (buf == NULL) {
-		return (ENOSPC);
-	}
 	(void) mi_mpprintf(mp, "debug_module_mask 0x%08x",
 	    xge_hal_driver_debug_module_mask());
 	kmem_free(buf, XGELL_IOCTL_BUFSIZE);
@@ -2736,9 +2718,6 @@
 	char *buf;
 
 	buf = kmem_alloc(XGELL_DEVCONF_BUFSIZE, KM_SLEEP);
-	if (buf == NULL) {
-		return (ENOSPC);
-	}
 	status = xge_hal_aux_device_config_read(lldev->devh,
 	    XGELL_DEVCONF_BUFSIZE, buf, &retsize);
 	if (status != XGE_HAL_OK) {
